[ANN] Movable Python 2.0.0 Beta 1

Fuzzyman fuzzyman at gmail.com
Sun Sep 17 21:38:44 CEST 2006

There is a new version of `Movable Python

This is available for **Movable Python** for Python 2.2.3, 2.3.5, 2.4.3
and 2.5rc2 from :

    `The Movable Python Groups Page

What is Movable Python

Movable Python is a portable distribution of Python for windows,
designed to be run off a USB stick or computers that don't have Python
installed. It features an IDE (Pythonwin and IDLE are included - but
you can also use SPE), and a GUI launcher.

It can be configured to use multiple interpreters from a single
interface, including acting as a GUI for any executable.

It has a host of other features (like logging all output from files,
enabling psyco for all scripts, etc).

See the following link for a list of all the new features in Movable
Python 2.0.0 :


For an overview of the most important features (with screenshots) see :


Other uses for Movable Python include testing programs with different
versions of Python, and providing clean install 'sandboxes' for testing
programs. It is also an ideal launcher for IronPython.

What's New in 2.0.0 Beta 1

'Console normal' didn't work for the Python 2.5 distribution (and
others, although it seemed to work with Movable Python for Python 2.4).
This is now fixed.

Added console handling for IronPython (if the interpreter is
'ipy.exe' or 'ipyw.exe' then the appropriate one will be
used when 'Console handling Normal' is selected.)

The IPOFF (IPython off) option wasn't acknowledged when launching
the interactive interpreter from the GUI.

A bug in py2exe 0.6.5 (an incompatibility with Python 2.5) would
cause the interactive interpreter to exit after an exception, and
possibly other problems. This is fixed.

Got rid of the error dialog in movpyw and the 'movpyw.exe.log' file.

Changed logging to 'Log Mode' in main menu.

Fixed configuration for IDE for Python 2.5 version.

Movable Python now exits with the same exit code as any script
it runs.

Improvements in traceback handling.

.. note::

    Pythonwin for Python 2.4 and 2.5, may need ``mfc71.dll``.

    You can download this from: `here (534k)

    This will automatically be included in future distributions.

It's still not too late to buy Movable python for Python 2.5 at the
reduced price, before the release of
Python 2.5 final.

There are still some issues with Pythonwin to be fixed, and the
documentation update, before
**Movable Python 2.0.0 Final** can be released.

More information about the Python-announce-list mailing list